> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Proxy Contract Source

> Submits a proxy contract source code to Etherscan for verification.



## OpenAPI

````yaml /reference/api-json.json get /scan/contract-verify-proxy
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /scan/contract-verify-proxy:
    get:
      tags:
        - Scan
      summary: Verify Proxy Contract Source
      description: Submits a proxy contract source code to Etherscan for verification.
      operationId: ScanContractVerifyProxyContract
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 1028
              - 1101
              - 1111
              - 1112
              - 11124
              - 11155111
              - 11155420
              - 1284
              - 1285
              - 1287
              - 130
              - 1301
              - 137
              - 143
              - 146
              - 167000
              - 167009
              - 168587773
              - 1923
              - 1924
              - 199
              - 2442
              - 25
              - 252
              - 2522
              - 2741
              - 300
              - 324
              - 33111
              - 33139
              - 37714555429
              - 42161
              - 421614
              - 42170
              - 42220
              - 43113
              - 43114
              - 4352
              - 43521
              - 44787
              - 480
              - 4801
              - 50
              - 5000
              - 5003
              - 50104
              - 51
              - 531050104
              - 534351
              - 534352
              - 56
              - 57054
              - 59141
              - 59144
              - 660279
              - 80002
              - 80069
              - 80094
              - 81457
              - 8453
              - 84532
              - 97
            type: number
        - name: contractAddress
          required: true
          in: query
          description: The contract address to query.
          schema:
            default: '0x78D66878a3C2C1D42594C67c647d341bB1F932E8'
            example: '0x78D66878a3C2C1D42594C67c647d341bB1F932E8'
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - EtherScan
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScanContractVerifyProxyContractResponse'
components:
  schemas:
    ScanContractVerifyProxyContractResponse:
      type: object
      properties:
        guid:
          type: string
      required:
        - guid
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````